Bug 1004805 - pulp-dev.py script doesn't handle F19
pulp-dev.py script doesn't handle F19
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.3.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 10:08 EDT by Jay Dobies
Modified: 2013-12-09 09:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2013-09-05 10:08:18 EDT
With F18, the pulp-dev.py script was modified to symlink a specific HTTP conf file. This check is for F18 explicitly and not a greater than check, so F19 dev installs are broken.

Below is the relevant snippet from pulp-dev.py:

    # Get links for httpd conf files according to distro
    pre_f18_apache_conf = ('server/etc/httpd/conf.d/pulp.conf', '/etc/httpd/conf.d/pulp.conf')
    f18_apache_conf = ('server/etc/httpd/conf.d/pulp_f18.conf', '/etc/httpd/conf.d/pulp.conf')
    s, n, r, v, m = os.uname()
    if 'fc18' in r:
        src, dst = f18_apache_conf
    else:
        src, dst = pre_f18_apache_conf
    links.append((src, dst))

The RPM spec is correct, it checks for version >= 18, so this is only an issue for developer installs.
Comment 1 Michael Hrivnak 2013-09-11 15:03:08 EDT
need to now only check for whether this is fedora, any version.
Comment 2 Sayli Karmarkar 2013-09-17 15:58:30 EDT
This is only a problem in dev environment, so not sure why this was aligned to 2.2 and on high priority. Moving it to 2.3 and medium priority.
Comment 3 Michael Hrivnak 2013-10-02 16:27:02 EDT
https://github.com/pulp/pulp/pull/649
Comment 4 Jeff Ortel 2013-10-11 11:25:47 EDT
build: 2.3.0-0.18.beta
Comment 5 Sayli Karmarkar 2013-10-17 16:00:33 EDT
Verified the PR and also the output of pulp-dev.py -

creating link: /etc/httpd/conf.d/pulp.conf pointing to /home/skarmark/git/pulp/server/etc/httpd/conf.d/pulp_apache_24.conf
Comment 6 Preethi Thomas 2013-12-09 09:31:04 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.